> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/queries/food-log/legacy/own-food-items.md).

# Own Food Items

### Available Fields

The following fields are sent in the response:

| Field Name        | Type                                                                                  | Description                                                                                       |
| ----------------- | ------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------- |
| `id`              | String                                                                                | Own Food item ID                                                                                  |
| `databaseId`      | DatabaseId                                                                            | DatabaseId of the own food item                                                                   |
| `name`            | String                                                                                | Name of the logged item                                                                           |
| `quantity`        | Float                                                                                 | Quantity of logged servings                                                                       |
| `nutritionalInfo` | [nutritionalInfo](https://docs.suggestic.com/graphql/objects/recipe/nutritional-info) | An object that contains the nutritional values of the associated food per each gram of that food. |

{% tabs %}
{% tab title="Query" %}

```graphql
{
  ownFoodItems {
    edges {
      node {
        id
        databaseId
        name
        quantity
        nutritionalInfo {
          calories
          fat
          protein
          carbs
        }
      }
    }
  }
}


```

{% endtab %}

{% tab title="Response" %}

```javascript
{
  "data": {
    "ownFoodItems": {
      "edges": [
        {
          "node": {
            "id": "TWVhbExvZzo5YzBlNjBlZS02YTc3LTExZWItOGY0Ni0zMjRmNmJiMTI2YzE=",
            "databaseId": "9c0e60ee-6a77-11eb-8f46-324f6bb126c1",
            "name": "Planters delux",
            "quantity": 1,
            "nutritionalInfo": {
              "calories": 6.07,
              "fat": 0.5,
              "protein": 0.18,
              "carbs": 0.25
            }
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/food-log/legacy/own-food-items.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
